GHSA-4jfq-4fqc-5j9c

Suggest an improvement
Source
https://github.com/advisories/GHSA-4jfq-4fqc-5j9c
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/09/GHSA-4jfq-4fqc-5j9c/GHSA-4jfq-4fqc-5j9c.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-4jfq-4fqc-5j9c
Aliases
Published
2022-09-22T00:00:28Z
Modified
2023-11-08T04:10:27.954372Z
Severity
  • 4.3 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N CVSS Calculator
Summary
Jenkins Rundeck Plugin Missing Authorization vulnerability
Details

Jenkins Rundeck Plugin 3.6.11 and earlier does not perform Run/Artifacts permission checks in multiple HTTP endpoints, allowing attackers with Item/Read permission to obtain information about build artifacts of a given job, if the optional Run/Artifacts permission is enabled.

References

Affected packages

Maven / org.jenkins-ci.plugins:rundeck

Package

Name
org.jenkins-ci.plugins:rundeck
View open source insights on deps.dev
Purl
pkg:maven/org.jenkins-ci.plugins/rundeck

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
3.6.12

Affected versions

1.*

1.0
1.1
1.2
1.3
1.4
1.5
1.5.1
1.6
1.7
1.8

2.*

2.0
2.0.1
2.1
2.2
2.3
2.3.1
2.4
2.5
2.6
2.7
2.8
2.9
2.10
2.11

3.*

3.0
3.1
3.3
3.4
3.5.1
3.5.4
3.6.1
3.6.2
3.6.3
3.6.4
3.6.5
3.6.6
3.6.7
3.6.9
3.6.10
3.6.11